/*
 Theme Name:   Nextawards Child
 Theme URI:    https://genialsnowboard.it/
 Description:  Tema Child per il sito di recensioni snowboard
 Author:       RCL
 Template:     nextawards
 Version:      1.0.0
*/ 

:root {
  
  --site-text-color: #4A4A4A;
 
}
.text-right{
	text-align: right;
}
html{
    scroll-behavior: smooth;
}
body.admin-bar .header{
	position: absolute;
}
.page-template-align-wide-fix .spacer, .page-template-blank .spacer, .page-template-contained-no-title .spacer {
    height: 73px;
}
.header{
	position: absolute;
	
}

.header__logo, .header__quick, .header__quick a, .menu li a{
	color: #fff;
} 
.menu > li > ul{
	background: #51769E;
}
.menu li a:hover{
	color: var(--link-color);
}
.menu li ul > li > a {
	color: white;
}
.menu > li.menu-item-has-children > a::after{
	background-image: url('data:image/svg+xml;utf8,<svg width="50px" height="50px" viewBox="0 0 50 50" xmlns="http://www.w3.org/2000/svg"><path fill="white" d="M22.7 34.7l-1.4-1.4 8.3-8.3-8.3-8.3 1.4-1.4 9.7 9.7z"/></svg>');
}
.menu li ul > li > a:hover {
    background: #d5dd27;
    color: var(--link-color-hover);
}
.header__content{
	border: none;
}
h1, h2, h3, h4, h5, h6, h1 a, h2 a, h3 a, h4 a h5 a{
	color: var(--link-color-hover);
}
h1 a:hover, h2 a:hover, h3 a:hover, h4 a:hover, h5 a:hover{
	color: var(--link-color);
}
[class*='col-'] {
    position: relative;
    padding: 0 2%;
}
/* TRASFORMAZIONE ICONA: DA GRAFICO A OCCHIO */
.dashicons-chart-bar::before {
    content: "\f177" !important; /* Codice Unicode per l'occhio (visibility) */
	    font-size: 20px;
}
.dashicons-chart-bar {
    vertical-align: sub !important;
	color: var(--site-text-color);
}
.post-views-count{
	font-size: 12px;
}
.wp-block-post-excerpt__excerpt{
	font-size:16px;
}
.wp-block-post-template li.post{
	box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.5);
	    
}
.wp-block-post-excerpt__more-text{
	text-align:right;
}
.wp-block-post-excerpt__more-text a{
	background: var(--link-color);
	color:var(--link-color-hover);
    padding: 8px 16px;
    font-size: 14px;
    text-transform: uppercase;
    font-weight: 700;
	transition: all 0.5s ease;
}
.wp-block-post-excerpt__more-text a:hover{
	background: var(--link-color-hover);
	color:var(--link-color);
}
.custom-recent-posts {
	padding-bottom: 32px;
}
.recent-post-item{
	display: flex;
	gap:20px;
	padding-bottom: 8px;
}
.recent-post-thumb{
	    flex-shrink: 0;
	    flex-grow: 0;
    
}
.recent-post-thumb img{
	height:90px;
	object-fit:cover;
}
.recent-post-meta{
	font-size: 11px;
	line-height: 15px;
}
.recent-post-meta .author{
	color: #D5DD28;
	font-weight: 700;
	padding-right: 4px;
}
.recent-post-meta .date{
	text-transform: uppercase;
	white-space: nowrap;
}
.recent-post-title{
	font-size: clamp(0.75rem, 0.5rem + 0.5208vw, 1.125rem);
	line-height: 1.2em;
	padding-top: 8px;
}
.recent-post-title a{
	color: var(--link-color-hover);
}

.popular-posts .pop-post-item{
	display: flex;
	align-items: center;
	gap: 20px;
	border-bottom: 1px solid var(--site-text-color);
	padding: 16px 0;
}
.popular-posts .pop-post-thumb {
	flex-grow: 0;
	flex-shrink: 0;
}
.popular-posts .pop-post-thumb img{
	width: 90px;
	height: 60px;
	object-fit: cover;
}
.popular-posts .pop-post-title {
	margin: 0;
	    font-size: 14px;
	line-height: 16px;
	
}
.popular-posts .pop-post-title a{
	color: var(--link-color-hover);
	transition: all 0.5s ease;
}
.popular-posts .pop-post-title a:hover{
	color: var(--link-color);
}
.popular-posts .views-count {
	font-size: 11px;
	font-weight: bold;
}
.popular-posts .dashicons-visibility {
	font-size: 14px;
	vertical-align: sub;
}
.popular-posts .pop-post-meta {
	color: #D5DD28;
}
.post-by-id-box {
	position: relative;
	margin: 32px 0;
	margin-bottom: 48px;
}
.post-by-id-box .id-post-content {
	position: absolute;
	top: 50%;
    left: 32px;
	z-index: 2;
	width: 100%;
}
.post-by-id-box .id-post-thumb img{
	width: 100%;
	filter: drop-shadow(2px 4px 6px black);
	height: 250px;
    object-fit: cover;
}
.post-by-id-box .id-post-title {
	max-width: 90%;
	padding-top: 32px;
}
.post-by-id-box .id-post-title a{
	color: white;
}
.post-by-id-box .id-post-date {
	    background: var(--link-color-hover);
    color: #d6de30;
    padding: 5px 10px;
    font-size: 12px;
    font-weight: 700;
}
.pellicola{
	position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.3);
    z-index: 1;
}
.text-content {
	padding-right: 32px;
}
.date_related {
	font-size: 12px;
    text-transform: uppercase;
}
.recent_title {
	font-size: 16px;
	margin-bottom: 4px;
}
.footer-container{
	padding-left:0;
	padding-right:0;
	color: white;
	background: var(--link-color-hover);
}
footer .menu li a {
	color: white;
	padding: 6px;
}

.footer_bottom {
	background: white;
	color: var(--site-text-color);
	padding: 16px;
	margin-top: 64px;
	max-width: 100%;
}
.footer_bottom p{
	font-size:14px;
}
.footer_bottom p a: {
	font-size:14px;
}
.footer-actions, .footer-nav, .footer-about{
	display: flex;
    flex-direction: column;
    justify-content: flex-end;
}
.footer-nav {
	align-items: center;
}
.footer-nav ul, .footer-about p{
	margin-bottom: 0;
}
.footer-search .form-search{
	border: none;
	border-radius: 0;
	padding: 0 5px;
}
.form-search input[type=search]{
	font-size: 15px;
	padding: 8px;
}
.form-search button[type=submit] svg{
	width: 20px;
	height: 20px;
}

ul.footer-links{
	list-style: none;
}
.footer-links a{
	font-size: 14px;
	font-weight: 700;
	transition: all 0.5s ease;
}
.footer-links a:hover, .footer-socials a:hover{
	color: #d5dd28;
}
.footer-about p{
	font-size: 14px;
    padding-top: 8px;
}
.footer-socials span {
	width: 36px;
    height: 36px;
    font-size: 36px;
}
footer .privacy_content p {
	text-align: right;
}

.mio_query_loop .wp-block-post-featured-image img{
	height: 250px;
}
.mio_query_loop .card_content {
	padding: 32px 16px;
	background: linear-gradient(to bottom, #deedfa 0%, #FFFFFF 100%);
}
.mio_query_loop .card_content h3{
	    margin: 0;
}
.mio_query_loop .wp-block-post-excerpt__more-text{
	margin-bottom: 0;
}
.mio_query_loop .wp-block-post-featured-image{
	margin-bottom: 0;
	padding-bottom: 16px;
	padding-top: 16px;
}
.mio_query_loop .wp-block-post-featured-image img{
	margin-bottom: 0;
	
}
/* template category */
.category_content{
	gap: 24px;
}
.card_post{
	box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.5);
	margin: 0;
}
.content_card {
	display: flex;
    flex-direction: column;
	background: linear-gradient(to bottom, #deedfa 0%, #FFFFFF 100%);
	padding: 32px 16px;
}
.card_post .entry-summary{
	padding-bottom: 20px;
}
.category_meta{
	font-size: 12px;
	line-height: 22px;
	margin-bottom: 8px;
	white-space: nowrap;
    text-overflow: ellipsis;
    width: 100%;
    overflow: hidden;
}
.category_meta a {
	font-weight: bold;
	background: var(--link-color);
    color: var(--link-color-hover);
    padding: 4px;
	transition: all 0.5s ease;
}
.category_meta a:hover {
	
	background: var(--link-color-hover);
    color: var(--link-color);
}
.button-read-more {
	background: var(--link-color);
    color: var(--link-color-hover);
    padding: 8px 16px;
    font-size: 14px;
    text-transform: uppercase;
    font-weight: 700;
	align-self: flex-end;
    transition: all 0.5s ease;
}
.button-read-more:hover {
	background: var(--link-color-hover);
    color: var(--link-color);
}
/* sezione carica altro home page query loop */
button.btn-carica-altro {
    display: block;
    margin: 30px auto;
    background-color: var(--link-color);
    color: var(--link-color-hover);
    padding: 15px 30px;
    border: none;
    font-weight: bold;
    cursor: pointer;
    text-transform: uppercase;
	transition: all 0.5s ease;
}
button.btn-carica-altro:hover{
	background-color: var(--link-color-hover);
    color: var(--link-color);
}

.fadeIn {
    animation: fadeIn 0.5s ease forwards;
}

@keyframes fadeIn {
    from { opacity: 0; transform: translateY(10px); }
    to { opacity: 1; transform: translateY(0); }
}
 .wp-post-image{
		object-fit:contain!important;
	}


.form_section{
	padding-top: 64px;
	padding-bottom: 96px;
}
.ff_t_c{
	font-size: 14px;
}
.contatti_cover{
	min-height: 400px!important;
}
.related_post_container {
	gap: 20px;
}
.related_post{
	box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.5);
}
.link_img{
	display: block;
	height: 100%;
	width: 100%;
	overflow: hidden;
	transition: all 0.3s ease-in-out;
}
.link_img:hover{
	transform: scale(1.2);
}
.cat_related a {
	font-size: 14px;
	font-weight: 700;
}

@media only screen and (min-width: 789px) {
    body .alignwide {
        
        margin-right: 0;
        margin-left: 0;
    }
}
@media (max-width: 1190px) {
	.icon-hamburger span {
		background: white;
	}
	.menu{
		background: var(--link-color-hover);
	}
	.menu li {
		border-color: white;
	}
.page-template-align-wide-fix .spacer, .page-template-blank .spacer, .page-template-contained-no-title .spacer {
	height: 46px;
	}
@media only screen and (max-width: 870px) {
		.wp-block-post-template-is-layout-grid {
			grid-template-columns: repeat(2, minmax(0, 1fr))!important;
		}

}
@media only screen and (max-width: 1350px) {
		.post-by-id-box .id-post-content {
			position: absolute;
			top: 20px;
			width: 100%;
			
		}
	.post-by-id-box .id-post-title {
		line-height: 18px;
	}
	.post-by-id-box .id-post-title a {
		font-size:16px;
	}
	.post-by-id-box .id-post-content {
			position: absolute;
			top: 20px;
			
		}
		
		
	}
@media only screen and (max-width: 767px) {
	.footer-about{
		width:50%;
		padding-left: 32px;
		padding-right:32px;
	}
	.footer-nav{
		width:50%;
		padding-right: 32px;
	}
	.footer-actions{
		padding: 30px 32px 0;
	}
	footer .privacy_content p {
	   text-align: center;
    }
	.card_post{
		width: 48%;
	}
	.category_content{
	   gap: 24px;
    }
	.form_section{
		padding-top: 32px;
	padding-bottom: 32px;
	}
}


@media only screen and (max-width: 600px) {
		.wp-block-post-template-is-layout-grid {
			grid-template-columns: 1fr!important;
         }
		.card_post{
			width: 100%;
		}
	
		
	}
@media only screen and (max-width: 500px) {
	.footer-about{
		width:100%;
		
	}
	.footer-nav{
		width:100%;
		align-items: flex-start;
        padding-top: 20px;
	}
	
}
